#### D.15.4.14 difformAdd

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df+dg; df,dg difform

Return:
  the sum of the differential forms as differential form

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    ////////////////////////////////////
    // Addition of differential forms //
    ////////////////////////////////////
    difform df = dx + 4*dy - dz*dx + 4 + 3*dx*dy + 4*dz;
    difform dg = dx + dy + 27*dz*dy;
    df+dg;
    ==> 4+2*dx+5*dy+4*dz+3*dx*dy+dx*dz+(-27)*dy*dz
    ==>
    ////////////////////////////////////////////////////
    // Addition of polynomials and differential forms //
    ////////////////////////////////////////////////////
    df + x2y2z2;
    ==> 4+x2y2z2+dx+4*dy+4*dz+3*dx*dy+dx*dz
    ==>
    12 + dg;
    ==> 12+dx+dy+(-27)*dy*dz
    ==>
    kill Omega_R,df,dg,dx,dy,dz;

See also: difformSub.

User manual for Singular version 4.4.1, 2025, generated by texi2html.